Skip to main content
GET
/
api
/
v2
/
order
/
list
List Orders
curl --request GET \
  --url https://dashboard.statproxies.com/api/v2/order/list
import requests

url = "https://dashboard.statproxies.com/api/v2/order/list"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dashboard.statproxies.com/api/v2/order/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "response": "<string>",
  "summary": {},
  "summary.total_orders": 123,
  "summary.total_proxies": 123,
  "summary.by_category": {},
  "summary.by_status": {},
  "orders": [
    {}
  ]
}
Retrieve a list of all active and cancelled (not yet expired) orders. Optionally include proxy details, and optionally include expired orders, in the response. Each order includes a status field that is one of:
  • active — currently active and renewing
  • cancelled — set to cancel at period end, but still usable until expiration
  • expired — past its expiration date (only returned when include_expired=true)

Request

Headers

HeaderValueRequired
AuthorizationBearer {your_api_key}Yes

Query Parameters

include_proxies
boolean
Set to true to include proxy details in the response. Default is false.
include_expired
boolean
Set to true to also include expired orders. Expired orders are excluded by default.
format
string
Proxy format when include_proxies=true. Options:
  • ipup - ip:port:username:password (default)
  • upip - username:password:ip:port
  • upaip - username:password@ip:port
  • object - JSON object format

Example Requests

Get Order Summaries

curl -X GET "https://dashboard.statproxies.com/api/v2/order/list" \
  -H "Authorization: Bearer {your_api_key}"

Get Orders with Proxy Details

curl -X GET "https://dashboard.statproxies.com/api/v2/order/list?include_proxies=true" \
  -H "Authorization: Bearer {your_api_key}"

Get Orders with Custom Format

curl -X GET "https://dashboard.statproxies.com/api/v2/order/list?include_proxies=true&format=object" \
  -H "Authorization: Bearer {your_api_key}"

Include Expired Orders

curl -X GET "https://dashboard.statproxies.com/api/v2/order/list?include_expired=true" \
  -H "Authorization: Bearer {your_api_key}"

Response

Success Response (Without Proxies)

{
  "response": "success",
  "summary": {
    "total_orders": 3,
    "total_proxies": 30,
    "by_category": {
      "datacenter": {
        "count": 2,
        "total_quantity": 20
      },
      "residential": {
        "count": 1,
        "total_quantity": 10
      }
    },
    "by_status": {
      "active": 2,
      "cancelled": 1
    }
  },
  "orders": [
    {
      "order_id": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
      "subscription_id": "sub_1RqJP3JB4G9i6PKHDwmKPJOb",
      "status": "active",
      "product_type": "captcha",
      "product_name": "Captcha Proxies",
      "product_category": "datacenter",
      "quantity": 10,
      "unix_purchase_date": 1753815092,
      "unix_expiration_date": 1756493492,
      "customer": "clientabc",
      "origination": "api",
      "proxy_username": "sub_1rqjp3jb4g9i6pkhdwmkpjob"
    }
  ]
}

Success Response (With Proxies)

{
  "response": "success",
  "summary": {
    "total_orders": 1,
    "total_proxies": 10,
    "by_category": {
      "datacenter": {
        "count": 1,
        "total_quantity": 10
      }
    },
    "by_status": {
      "active": 1
    }
  },
  "orders": [
    {
      "order_id": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
      "subscription_id": "sub_1RqJP3JB4G9i6PKHDwmKPJOb",
      "status": "active",
      "product_type": "captcha",
      "product_name": "Captcha Proxies",
      "product_category": "datacenter",
      "quantity": 10,
      "unix_purchase_date": 1753815092,
      "unix_expiration_date": 1756493492,
      "proxy_username": "sub_1rqjp3jb4g9i6pkhdwmkpjob",
      "proxy_password": "stat261",
      "customer": "clientabc",
      "origination": "api",
      "proxies": [
        "31.193.191.6:3128:sub_1rqjp3jb4g9i6pkhdwmkpjob:stat261",
        "31.193.191.7:3128:sub_1rqjp3jb4g9i6pkhdwmkpjob:stat261"
      ]
    }
  ]
}

Response Fields

response
string
Status of the request.
summary
object
Summary statistics for all orders.
summary.total_orders
integer
Total number of active orders.
summary.total_proxies
integer
Total number of proxies across all orders.
summary.by_category
object
Breakdown of orders by product category.
summary.by_status
object
Breakdown of orders by status (active, cancelled, expired). Only statuses present in the result set are included.
orders
array
Array of order objects.

Order Object Fields

FieldTypeDescription
order_idstringUnique order identifier
subscription_idstringStripe subscription ID
statusstringOrder status: active, cancelled (set to cancel at period end but still usable), or expired
product_typestringProduct type identifier
product_namestringHuman-readable product name
product_categorystringCategory (datacenter, residential)
quantityintegerNumber of proxies
unix_purchase_dateintegerPurchase timestamp
unix_expiration_dateintegerExpiration timestamp
customerstringCustomer identifier (if set)
originationstringOrder source (api, dashboard)
proxy_usernamestringProxy authentication username
proxy_passwordstringProxy authentication password (only with include_proxies=true)
proxiesarrayList of proxy strings (only with include_proxies=true)

Proxy Formats

When include_proxies=true, you can specify the format:
FormatExample Output
ipup (default)31.193.191.6:3128:username:password
upipusername:password:31.193.191.6:3128
upaipusername:password@31.193.191.6:3128
object{"ip": "31.193.191.6", "port": 3128, "username": "...", "password": "..."}